Subject: Re: bug#36156: [PATCH] Make toolbar show keyboard equivalents in its tooltips

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Aug 2019 14:46:22 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 25 Aug 2019 13:03:06 +0200
> Cc: [email-masked]
> 
> Juri Linkov <[email-masked]> writes:
> 
> > Today I found a regression in this change: when a tool-bar item
> > doesn't use a :help keyword (like e.g. in gud-menu-map) then
> > the tooltip displays just keyboard equivalents in its tooltip.
> > It used to display the caption in previous Emacs versions.
> > I believe it could be fixed by this patch:
> 
> I can reproduce this regression in the gud toolbar on current master.
> Your patch fixes it and looks good to me.

Are we sure TOOL_BAR_ITEM_CAPTION will always produce human-readable
text?